package com.wd.workoffice.ui.adapter;


import android.text.TextUtils;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.TicketAddBean;
import com.wd.workoffice.bean.TicketDetailBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkAddTicketOrderAdapter extends BaseQuickAdapter<TicketAddBean.RecordsBean, BaseViewHolder> {
    int type;//0,add 1,submit
    int from;//0 开票 1 收票

    public WorkAddTicketOrderAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    public WorkAddTicketOrderAdapter(int layoutResId, @Nullable List<TicketAddBean.RecordsBean> data, int type) {
        super(layoutResId, data);
        this.type = type;
    }

    @Override
    protected void convert(BaseViewHolder helper, TicketAddBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getProductSimpleCode());
        helper.setText(R.id.tv_order, item.getOrderId());
        helper.setText(R.id.tv_spec, item.getProductSpec());
        helper.setText(R.id.tv_unit, item.getProductUnit());
        helper.setText(R.id.tv_apply_num, from == 0 ? MathUtils.converData(item.getCanInvoiceSum(), 3) : MathUtils.converData(item.getCanReceiptInvoiceSum(), 3));
        helper.setText(R.id.tv_price, item.getCarPrice());
        helper.setText(R.id.tv_num, item.getCarNum());
        helper.setVisible(R.id.ll_desc, !TextUtils.isEmpty(item.getCarPrice()));
        if (type == 1) {
            helper.setVisible(R.id.iv_cart, false);
        }
        helper.setText(R.id.tv_price, item.getCarPrice());
        //收票显示 入库时间全部不显示
        if (from == 1) {
            helper.setGone(R.id.rl_time, true);
            helper.setText(R.id.tv_time, item.getLastEnterStoredTime());
        }
    }

    public int getFrom() {
        return from;
    }

    public void setFrom(int from) {
        this.from = from;
    }
}

